"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _exec = _interopRequireDefault(require("../../cmd/exec"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const gitCommit = async ({
  cwd,
  log
}, {
  msg
}) => {
  log.info(`Make a commit with the message "${msg}"`);
  await (0, _exec.default)({
    cmd: 'git',
    args: ['commit', '-m', `"${msg}"`],
    cwd,
    log
  });
};

var _default = gitCommit;
exports.default = _default;