"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _exec = _interopRequireDefault(require("../../cmd/exec"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const npmRun = async ({
  cwd,
  log
}, {
  script
}) => {
  log.info(`The npm script "${script}" is executed`);
  await (0, _exec.default)({
    cmd: 'npm',
    args: ['run', script],
    cwd,
    log
  });
};

var _default = npmRun;
exports.default = _default;