import { Watermark, Watermarks } from 'istanbul-lib-report';
import { Action } from '../../types';
export declare type WatermarkThreshold = Watermark | number | undefined;
declare type CoverageProps = {
    projects: string[];
    watermarks?: Partial<Record<keyof Watermarks, WatermarkThreshold>>;
};
declare const coverage: Action<CoverageProps>;
export default coverage;
