"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = require("path");

var _access = _interopRequireDefault(require("./access"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const filterFile = async (cwd, file) => {
  const hasAccess = await (0, _access.default)((0, _path.join)(cwd, file));
  return hasAccess ? file : '';
};

const existFiles = async (files, cwd = '') => {
  const filterFiles = await Promise.all(files.map(file => filterFile(cwd, file)));
  return filterFiles.filter(file => file !== '');
};

var _default = existFiles;
exports.default = _default;