"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.builder = exports.handler = exports.desc = exports.command = void 0;

var _yargs = require("../cli/yargs");

var _licenseTask = _interopRequireDefault(require("../tasks/licenseTask"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const command = 'license';
exports.command = command;
const desc = 'Run license check';
exports.desc = desc;
const handler = (0, _yargs.createHandler)(_licenseTask.default);
exports.handler = handler;
const builder = (0, _yargs.createBuilder)(command, yargs => yargs);
exports.builder = builder;