"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = require("path");

var _access = _interopRequireDefault(require("../../cmd/access"));

var _writeFile = _interopRequireDefault(require("../../cmd/writeFile"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const nodeFile = async ({
  cwd,
  log
}, {
  file
}) => {
  const path = (0, _path.join)(cwd, file);
  const isExists = await (0, _access.default)(path);

  if (!isExists) {
    log.info(`Create the file ${file}`);
    await (0, _writeFile.default)(path, '');
  } else {
    log.info(`The file ${file} already existed`);
  }
};

var _default = nodeFile;
exports.default = _default;