"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = require("path");

var _access = _interopRequireDefault(require("../../cmd/access"));

var _mkdir = _interopRequireDefault(require("../../cmd/mkdir"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const nodeFolder = async ({
  cwd,
  log
}, {
  folder
}) => {
  const path = (0, _path.join)(cwd, folder);
  const isExists = await (0, _access.default)(path);

  if (!isExists) {
    log.info(`Create the folder ${folder}`);
    await (0, _mkdir.default)(path);
  } else {
    log.info(`The folder ${folder} already existed`);
  }
};

var _default = nodeFolder;
exports.default = _default;