"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const isLicenseCompatible = props => {
  const {
    compatibleLicences,
    projectLicense,
    packageInfo
  } = props;
  const {
    license
  } = packageInfo;

  if (license.toUpperCase() === projectLicense) {
    return true;
  }

  return compatibleLicences.includes(license.toUpperCase());
};

var _default = isLicenseCompatible;
exports.default = _default;