"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _analyseTask = _interopRequireDefault(require("./analyseTask"));

var _depsTask = _interopRequireDefault(require("./depsTask"));

var _taskHook = _interopRequireDefault(require("./helpers/taskHook"));

var _licenseTask = _interopRequireDefault(require("./licenseTask"));

var _testTask = _interopRequireDefault(require("./testTask"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ciTask = async argv => {
  const extendArgv = { ...argv,
    ci: true
  };
  await (0, _taskHook.default)(argv, {
    task: 'ci',
    type: 'pre'
  });
  await (0, _analyseTask.default)(extendArgv, {});
  await (0, _testTask.default)(extendArgv, {});
  await (0, _licenseTask.default)(extendArgv, {});
  await (0, _depsTask.default)(extendArgv, {});
  await (0, _taskHook.default)(argv, {
    task: 'ci',
    type: 'post'
  });
};

var _default = ciTask;
exports.default = _default;